Bug 63349 - date is broken.
date is broken.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-12 16:50 EDT by hjl
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-10 11:43:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2002-04-12 16:50:23 EDT
# date -d "1018569600 sec jan. 1, 1970 utc" 
Thu Apr 11 18:00:00 PDT 2002

I am expecting:

Thu Apr 11 17:00:00 PDT 2002
Comment 1 Bernhard Rosenkraenzer 2002-06-10 11:43:13 EDT
I'm getting the correct result on 7.3. 
Comment 2 Mike McLean 2002-07-10 11:08:04 EDT
Confirmed.  this bug seems confined to 7.1.  However it appears to be fixed in
7.2 on.

On the 7.1 machine, I get:
---
[root@i386-71 /root]# date -d "1018569600 sec jan. 1, 1970 utc"
Thu Apr 11 21:00:00 EDT 2002
[root@i386-71 /root]# date -d "Thu Apr 11 21:00:00 EDT 2002" +%s
1018573200
[root@i386-71 /root]# date -d "1018573200 sec jan. 1, 1970 utc"
Thu Apr 11 22:00:00 EDT 2002

And on the 7.2 machine I get:
---
[root@i386-72 root]# date -d "1018569600 sec jan. 1, 1970 utc"
Thu Apr 11 20:00:00 EDT 2002
[root@i386-72 root]# date -d "Thu Apr 11 20:00:00 EDT 2002" +%s
1018569600

Note You need to log in before you can comment on or make changes to this bug.